﻿using FileSplitter.Shared.Interfaces;

namespace FileSplitter.Shared.Classes;

/// <summary>
/// Информация о разбиении
/// </summary>
public sealed class FileSplitInfo
{
    public FileSplitInfo()
    {
        SplitFiles = new();
        TargetFile = new TargetFileInfo();
        FileSplitterVersion = FileSplitterConstants.CurrentSplitterVersion;
    }

    /// <summary>
    /// Версия программы, необходимая для сборки файла
    /// </summary>
    public string FileSplitterVersion { get; set; }

    /// <summary>
    /// Информация о собираемом файле
    /// </summary>
    public TargetFileInfo TargetFile { get; set; }

    /// <summary>
    /// Информация о частях файла
    /// </summary>
    public List<SplitFile> SplitFiles { get; set; }
}