﻿using FileSplitter.Shared.Interfaces;

namespace FileSplitter.Shared.Classes;

/// <summary>
/// Информация о целевом файле
/// </summary>
public sealed class TargetFileInfo: ITargetFileInfo
{
    /// <summary>
    /// Конструктор
    /// </summary>
    internal TargetFileInfo()
    {
        FileName = string.Empty;
        FileHash = new byte[]{};
    }

    /// <summary>
    /// Имя файла
    /// </summary>
    public string FileName { get; set; }

    /// <summary>
    /// Размер файла
    /// </summary>
    public long FileSize { get; set; }

    /// <summary>
    /// md5-сумма файла для проверки
    /// </summary>
    public byte[] FileHash { get; set; }

    /// <summary>
    /// Количество частей
    /// </summary>
    public long SplitCount { get; set; }
}