﻿namespace FileSplitter.Shared.Enums;

/// <summary>
/// Коды возврата
/// </summary>
public enum FsExitCode
{
    /// <summary>
    /// Успешно завершено
    /// </summary>
    ecAllDone = 0,

    /// <summary>
    /// Неверные параметры
    /// </summary>
    ecInvalidParameters = 1,

    /// <summary>
    /// Прервано пользователем
    /// </summary>
    ecUserAborted = 2,

    /// <summary>
    /// Неизвестный файл информации о разбиении
    /// </summary>
    ecUnknownInfoFile = 3,

    /// <summary>
    /// Версия файла информации о разбиении не поддерживается
    /// </summary>
    ecInfoVersionUnsupported = 4,

    /// <summary>
    /// Ошибка проверки хэш-суммы разделённых файлов
    /// </summary>
    ecSplitFileHashError = 5,

    /// <summary>
    /// Ошибка проверки целостности собираемого файла
    /// </summary>
    ecTargetFileCheckError = 6
}