﻿namespace FileSplitter.Shared.Interfaces;

/// <summary>
/// Интерфейс разделенного файла
/// </summary>
public interface ISplitFile
{
    /// <summary>
    /// Порядок части
    /// </summary>
    public int Num { get; set; }

    /// <summary>
    /// Размер части
    /// </summary>
    public long Size { get; set; }

    /// <summary>
    /// Смещение начала части от начала итогового файла
    /// </summary>
    public long Offset { get; set; }

    /// <summary>
    /// md5-сумма части для проверки
    /// </summary>
    public byte[]? Hash { get; set; }
}